\documentclass{standalone}
\usepackage{tikz}
\usepackage{pgfplots}
\pgfplotsset{compat=newest}

\begin{document}

\begin{tikzpicture}
    \begin{axis}[
     %width=\figurewidth,
	%height=\figureheight,
    	view={0}{90},
    	grid=both,
	colorbar,
	colormap name=viridis,
	xlabel= PWM (Duty Cycle),
    xtick = {0, 60, 120, 180, 240 },
    ytick = {0,6,12,18, 24  },
	title={Blue Channel, Sensor in Tap Water (500 ms, 1x)},
	ylabel= Current in mA,
	colorbar style={
       % title=Detector Signal (counts),
        ylabel=Detector Signal (counts),
       % max space between ticks=40pt,      
        try min ticks=6,
            },
  	]
      \addplot3[
      	surf,
      	%shader = interp,  %interpolation
      	point meta=explicit,
      	] table [
      		x index=0,
      		%y index=1,
      		y expr=\thisrowno{1}/10,  %Ausgabe in mA
      		meta index=3,
      		] {/Users/chris/Dropbox/deepSea/Labor/PWM_Current_Scan/Sensor_2/Tap_water/TCS3472/Blue/Raw/500X1.TXT};
    \end{axis}
  \end{tikzpicture}
\end{document}